ResinEjbTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.caucho.ResinEjbTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.caucho
Class ResinEjbTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.dd.RelationTagsHandler
                      xdoclet.modules.caucho.ResinEjbTagsHandler

public class ResinEjbTagsHandler
extends RelationTagsHandler

Template tags handler used by resin-ejb.j and resin-relationships.j to add resin cmp-specific configuration (resin.ejb) to the standard deployment descriptor.

Author:
  Yoritaka Sakakura (yori@teardrop.org)
See Also:
  Resin CMP Configuration
xdoclet.taghandler
  namespace="ResinEjb"
created
  June 5, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`RelationTagsHandler.RelationHolder`

Field Summary

Fields inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`currentRelation, relationMap`

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`ResinEjbTagsHandler()`

Method Summary
`void` | `ifHasLeftOrderBy(String template)` Evaluates the body if the left side of the relationship is many and the order-by parameter of the resinejb:relation method-level tag is defined.
`void` | `ifHasLeftSqlColumn(String template)` Evaluates the body if the left side of the relationship is single and the sql-column parameter of the resinejb:relation method-level tag is defined.
`void` | `ifHasRightOrderBy(String template)` Evaluates the body if the right side of the relationship is many and the order-by parameter of the resinejb:relation method-level tag is defined.
`void` | `ifHasRightSqlColumn(String template)` Evaluates the body if the right side of the relationship is single and the sql-column parameter of the resinejb:relation method-level tag is defined.
`void` | `ifHasSqlTable(String template)` Evaluates the body if either side of the current relation is many and the sql-table parameter of the resinejb:relation method-level tag is defined.
`String` | `leftOrderBy()` Returns the order-by for the left side of the current relation, if applicable.
`String` | `leftSqlColumn()` Returns the sql-column for the left side of the current relation, if applicable.
`String` | `rightOrderBy()` Returns the order-by for the right side of the current relation, if applicable.
`String` | `rightSqlColumn()` Returns the sql-column for the right side of the current relation, if applicable.
`String` | `signatureFromMethod()` Returns the signature of the current method in a form suitable for the /resinejb/enterprise-beans/entity/method/signature element.
`String` | `sqlTable()` Returns the sql-table of the current relationship, if any.

Methods inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`forAllRelationships, hasRelationships, ifHasLeftRoleName, ifHasRelationships, ifHasRightRoleName, ifIsBidirectional, ifIsLeftMany, ifIsMany2Many, ifIsNotACollection, ifIsOne2Many, ifIsOne2One, ifIsRightMany, ifIsUnidirectional, ifLeftCascadeDelete, ifLeftNavigable, ifNotHasRelationships, ifNotIsMany2Many, ifNotIsOne2Many, ifNotIsOne2One, ifRightCascadeDelete, ifRightNavigable, isSetOrCollection, leftEJBName, leftFieldName, leftFieldType, leftMultiplicity, leftRoleName, relationComment, relationName, rightEJBName, rightFieldName, rightFieldType, rightMultiplicity, rightRoleName`

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResinEjbTagsHandler

    public ResinEjbTagsHandler()

Method Detail

### ifHasLeftOrderBy

    public void ifHasLeftOrderBy(String template)
                          throws XDocletException

  Evaluates the body if the left side of the relationship is many and the order-by parameter of the resinejb:relation method-level tag is defined.

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifHasLeftSqlColumn

    public void ifHasLeftSqlColumn(String template)
                            throws XDocletException

  Evaluates the body if the left side of the relationship is single and the sql-column parameter of the resinejb:relation method-level tag is defined.

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifHasRightOrderBy

    public void ifHasRightOrderBy(String template)
                           throws XDocletException

  Evaluates the body if the right side of the relationship is many and the order-by parameter of the resinejb:relation method-level tag is defined.

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifHasRightSqlColumn

    public void ifHasRightSqlColumn(String template)
                             throws XDocletException

  Evaluates the body if the right side of the relationship is single and the sql-column parameter of the resinejb:relation method-level tag is defined.

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifHasSqlTable

    public void ifHasSqlTable(String template)
                       throws XDocletException

  Evaluates the body if either side of the current relation is many and the sql-table parameter of the resinejb:relation method-level tag is defined.

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### leftOrderBy

    public String leftOrderBy()
                       throws XDocletException

  Returns the order-by for the left side of the current relation, if applicable.

  Returns:
  Throws:
    `XDocletException`
  See Also:
    `ifHasLeftOrderBy(String)`
  doc.tag
    type="content"

### leftSqlColumn

    public String leftSqlColumn()
                         throws XDocletException

  Returns the sql-column for the left side of the current relation, if applicable.

  Returns:
  Throws:
    `XDocletException`
  See Also:
    `ifHasLeftSqlColumn(String)`
  doc.tag
    type="content"

### rightOrderBy

    public String rightOrderBy()
                        throws XDocletException

  Returns the order-by for the right side of the current relation, if applicable.

  Returns:
  Throws:
    `XDocletException`
  See Also:
    `ifHasRightOrderBy(String)`
  doc.tag
    type="content"

### rightSqlColumn

    public String rightSqlColumn()
                          throws XDocletException

  Returns the sql-column for the right side of the current relation, if applicable.

  Returns:
  Throws:
    `XDocletException`
  See Also:
    `ifHasRightSqlColumn(String)`
  doc.tag
    type="content"

### signatureFromMethod

    public String signatureFromMethod()
                               throws XDocletException

  Returns the signature of the current method in a form suitable for the /resinejb/enterprise-beans/entity/method/signature element.

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### sqlTable

    public String sqlTable()
                    throws XDocletException

  Returns the sql-table of the current relationship, if any.

  Returns:
  Throws:
    `XDocletException`
  See Also:
    `ifHasSqlTable(String)`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD